- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.mdi.MDIFrameWindow Class Reference

The smjg.libs.sdwf.mdi.MDIFrameWindow class represents an MDI application window. More...

Inheritance diagram for smjg.libs.sdwf.mdi.MDIFrameWindow:

List of all members.

## Properties
typedef FrameWindow.client | client
| The client pane of this MDIFrameWindow.
override MDIClientPane | client ()
| The client pane of this MDIFrameWindow.
WindowBase | activeChild ()
| The child window that is currently active.
Menu | windowMenu (Menu m)
| The Window menu.
Menu | windowMenu ()
| The Window menu.
## Public Member Functions
| this (string windowTitle, Application a)
| Constructs a new MDIFrameWindow as a top-level application window.
| this (string windowTitle, WindowBase p)
| Constructs a new MDIFrameWindow owned by another window.
void | cascade (bool skipDisabled=false)
| Cascades the child windows.
void | tile (MDITILE flags=MDITILE.VERTICAL)
| Tiles the child windows horizontally or vertically.
void | arrangeMinimized ()
| Arranges the minimized child windows along the bottom of the MDI client pane.
void | closeAll ()
| Closes all child windows.
Operators
WindowBase | opIndex (uint i)
| Gets a specific child window of the MDI application window.
WindowBase[] | opSlice (uint begin, uint end)
| Gets a range of child windows of the MDI application window.
WindowBase[] | opSlice ()
| Gets an array consisting of all child windows of the MDI application window.
## Protected Member Functions
override void | initListeners ()
override int | defaultProcessMessage (uint message, uint wParam, int lParam)
int | mdiFramePredef (uint message, uint wParam, int lParam, WindowBase receivedVia, out bool swallow)
override void | predefCommandHandler (uint notify, uint id)
override void | defaultCommandHandler (uint notify, uint id)
Callback Methods
bool | confirmCloseAll ()
| Determines whether it is OK to close all child windows.

## Detailed Description

The smjg.libs.sdwf.mdi.MDIFrameWindow class represents an MDI application window.

The MDIFrameWindow is at the top of the MDI window hierarchy. The MDIClientPane serves as the client pane of this window, which in turn contains the child windows.

Since:
  0.5

## Member Typedef Documentation

typedef FrameWindow.client smjg.libs.sdwf.mdi.MDIFrameWindow.client

The client pane of this MDIFrameWindow.

## Constructor & Destructor Documentation

smjg.libs.sdwf.mdi.MDIFrameWindow.this | ( | string | windowTitle,
|  | Application | a |
| ) |  |  |

Constructs a new MDIFrameWindow as a top-level application window.

The Windows interface element itself is not yet created - this is done when show is called.

Parameters:

  | windowTitle | the title bar text of the window.
  | a | the application to which this window belongs.

Status:
  done

Reimplemented from smjg.libs.sdwf.framewindow.FrameWindow.

smjg.libs.sdwf.mdi.MDIFrameWindow.this | ( | string | windowTitle,
|  | WindowBase | p |
| ) |  |  |

Constructs a new MDIFrameWindow owned by another window.

The Windows interface element itself is not yet created - this is done when show is called.

Parameters:

  | windowTitle | the title bar text of the window.
  | p | the parent window.

Status:
  test

Reimplemented from smjg.libs.sdwf.framewindow.FrameWindow.

## Member Function Documentation

void smjg.libs.sdwf.mdi.MDIFrameWindow.cascade | ( | bool | skipDisabled = `false` | ) |

Cascades the child windows.

Parameters:

  | skipDisabled | whether to ignore disabled windows while cascading.

Status:
  done

void smjg.libs.sdwf.mdi.MDIFrameWindow.tile | ( | MDITILE | flags = `MDITILE.VERTICAL` | ) |

Tiles the child windows horizontally or vertically.

Parameters:

  | flags | a combination of flags determining how to tile.

Status:
  done

void smjg.libs.sdwf.mdi.MDIFrameWindow.arrangeMinimized | ( |  | ) |

Arranges the minimized child windows along the bottom of the MDI client pane.

Status:
  done

void smjg.libs.sdwf.mdi.MDIFrameWindow.closeAll | ( |  | ) |

Closes all child windows.

The `confirmCloseAll` method is called to determine if the operation should go ahead.

Status:
  done

override MDIClientPane smjg.libs.sdwf.mdi.MDIFrameWindow.client | ( |  | ) |

The client pane of this MDIFrameWindow.

Reimplemented from smjg.libs.sdwf.framewindow.FrameWindow.

WindowBase smjg.libs.sdwf.mdi.MDIFrameWindow.activeChild | ( |  | ) |

The child window that is currently active.

Menu smjg.libs.sdwf.mdi.MDIFrameWindow.windowMenu | ( | Menu | m | ) |

The Window menu.

Windows will automatically maintain a list of child windows in this menu, and handle commands from this list to activate the selected window.

Status:
  done

Menu smjg.libs.sdwf.mdi.MDIFrameWindow.windowMenu | ( |  | ) |

The Window menu.

Windows will automatically maintain a list of child windows in this menu, and handle commands from this list to activate the selected window.

WindowBase smjg.libs.sdwf.mdi.MDIFrameWindow.opIndex | ( | uint | i | ) |

Gets a specific child window of the MDI application window.

(Implementation of `this[i]`.)

Child windows are indexed in order of creation. This order is retained when a window is closed, but the indexes change to remain consecutive. The order may or may not correspond to the order of entries in the Window menu.

Returns:
  the child window with the given index.

WindowBase [] smjg.libs.sdwf.mdi.MDIFrameWindow.opSlice | ( | uint | begin,
|  | uint | end |
| ) |  |  |

Gets a range of child windows of the MDI application window.

(Implementation of `this[begin..end]`.)

Child windows are indexed in order of creation. This order is retained when a window is closed, but the indexes change to remain consecutive. The order may or may not correspond to the order of entries in the Window menu.

Returns:
  an array of the child windows in the given range.

WindowBase [] smjg.libs.sdwf.mdi.MDIFrameWindow.opSlice | ( |  | ) |

Gets an array consisting of all child windows of the MDI application window.

(Implementation of `this[]`.)

Child windows are indexed in order of creation. This order is retained when a window is closed, but the indexes change to remain consecutive. The order may or may not correspond to the order of entries in the Window menu.

Returns:
  an array of the child windows of this window.

bool smjg.libs.sdwf.mdi.MDIFrameWindow.confirmCloseAll | ( |  | ) | `[protected]`

Determines whether it is OK to close all child windows.

The default implementation calls `confirmClose` on all child windows in turn until one returns `false`. This is identical in effect to confirmClose, but is overridable independently.

Return values:

  | true | if all child windows return `true`, in which case the application window is ready to close.
  | false | if a child returns `false`, in which case the application window will not close.

Status:
  done

override void smjg.libs.sdwf.mdi.MDIFrameWindow.initListeners | ( |  | ) | `[protected, virtual]`

Reimplemented from smjg.libs.sdwf.framewindow.FrameWindow.

override int smjg.libs.sdwf.mdi.MDIFrameWindow.defaultProcessMessage | ( | uint | message,
|  | uint | wParam,
|  | int | lParam |
| ) |  |  | `[protected]`

Reimplemented from smjg.libs.sdwf.windowbase.WindowBase.

int smjg.libs.sdwf.mdi.MDIFrameWindow.mdiFramePredef | ( | uint | message,
|  | uint | wParam,
|  | int | lParam,
|  | WindowBase | receivedVia,
|  | out bool | swallow |
| ) |  |  | `[protected]`

override void smjg.libs.sdwf.mdi.MDIFrameWindow.predefCommandHandler | ( | uint | notify,
|  | uint | id |
| ) |  |  | `[protected]`

Reimplemented from smjg.libs.sdwf.window.Window.

override void smjg.libs.sdwf.mdi.MDIFrameWindow.defaultCommandHandler | ( | uint | notify,
|  | uint | id |
| ) |  |  | `[protected]`

Reimplemented from smjg.libs.sdwf.framewindow.FrameWindow.

The documentation for this class was generated from the following file:

- mdi.d